Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CancelBundleTaskRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.CancelBundleTaskRequest

    public class CancelBundleTaskRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CancelBundleTask operation`.

CancelBundleTask operation cancels a pending or in-progress bundling task. This is an asynchronous call and it make take a while for the task to be canceled. If a task is canceled while it is storing items, there may be parts of the incomplete AMI stored in S3. It is up to the caller to clean up these parts from S3.

See Also:
  `AmazonEC2.cancelBundleTask(CancelBundleTaskRequest)`

Constructor Summary
`CancelBundleTaskRequest()`

Method Summary
`String` | `getBundleId()` The ID of the bundle task to cancel.
`void` | `setBundleId(String bundleId)` The ID of the bundle task to cancel.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CancelBundleTaskRequest` | `withBundleId(String bundleId)` The ID of the bundle task to cancel.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CancelBundleTaskRequest

    public CancelBundleTaskRequest()

Method Detail

### getBundleId

    public String getBundleId()

  The ID of the bundle task to cancel.

  Returns:
    The ID of the bundle task to cancel.

### setBundleId

    public void setBundleId(String bundleId)

  The ID of the bundle task to cancel.

  Parameters:
    `bundleId` - The ID of the bundle task to cancel.

### withBundleId

    public CancelBundleTaskRequest withBundleId(String bundleId)

  The ID of the bundle task to cancel.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bundleId` - The ID of the bundle task to cancel.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.